Skip to content

getPricingRule

READ

Get pricing rule.

POST /api/v1/sales/getPricingRule
curl -X POST '<your-host>/api/v1/sales/getPricingRule' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "active": true,
  "amount": 0,
  "amountType": "Percentage",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customerIds": [
    "string"
  ],
  "customerTypeIds": [
    "string"
  ],
  "id": "string",
  "itemIds": [
    "string"
  ],
  "itemPostingGroupId": "string",
  "maxQuantity": 0,
  "minQuantity": 0,
  "name": "string",
  "priority": 0,
  "ruleType": "Discount",
  "updatedAt": "string",
  "updatedBy": "string",
  "validFrom": "string",
  "validTo": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}